<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" encoding="ISO-8859-1"/>
<xsl:param name="courante" select="1"/>
<xsl:param name="precedente"/>
<xsl:param name="script" select="boutique.php"/>

<xsl:template match="/">
<html lang="fr" xml:lang="fr" xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>La boutique</title>
</head>
<body bgcolor="White" text="Black" link="Blue" vlink="Navy" alink="Red">
<div align="center"> 
  <table width="95%" border="0" cellspacing="10" cellpadding="2">
    
    <tr> 
      <td valign="top" colspan="3"><p align="center">
	<xsl:apply-templates select="catalogue"/>
	  </p>
	  </td>
    </tr>
  </table>
</div>
</body>
</html>
</xsl:template>
<xsl:template match="catalogue">
<table width="95%" border="0" cellspacing="10" cellpadding="2">
<xsl:apply-templates select="page[attribute::numro=$courante]/fiche"/>
<xsl:call-template name="pagination"/>
</table>
</xsl:template>
<xsl:template match="fiche">
<xsl:variable name="reference" select="ref"/>
	<tr> 
    <td><xsl:value-of select="titre"/></td>
    <td><xsl:value-of select="ref"/></td>
    <td><xsl:value-of select="url"/></td>
    <td><a href="{$script}?insert={$reference}">ajouter</a></td>
  </tr>
  </xsl:template>

<xsl:template name="pagination">
    <tr>
	<xsl:variable name="ultime_page" select="count(./page)"/>
      <xsl:choose>
        <xsl:when test="$courante&lt;=1">
          <!-- we are on page 1, so there is no navigation backwards -->
          <td>premire</td>
          <td>prcdente</td>
        </xsl:when>
        <xsl:otherwise>
          <!-- insert links for first/previous page -->
          <td><a href="{$script}?courante=1"><b>premire</b></a></td>
          <td><a href="{$script}?courante={$courante -1}"><b>prcdente</b></a></td>
        </xsl:otherwise>
      </xsl:choose>
	  
      <!-- insert "page x of y" -->
      <td>
        <xsl:text>Page </xsl:text> 
        <xsl:value-of select="$courante"/>
        <xsl:text> sur </xsl:text> 
        <xsl:value-of select="$ultime_page"/>
      </td>
	  
      <xsl:choose>
        <xsl:when test="$courante=$ultime_page">
          <!-- we are on the last page, so there is no navigation forwards -->
          <td class="pagination">prochaine</td>
          <td class="pagination">dernire</td>
        </xsl:when>
        <xsl:otherwise>
          <!-- insert links for last/next page -->
          <td><a href="{$script}?courante={$courante +1}"><b>prochaine</b></a></td>
          <td><a href="{$script}?courante={$ultime_page}"><b>dernire</b></a></td>
        </xsl:otherwise>
      </xsl:choose>
	  
    </tr>

</xsl:template>      

</xsl:stylesheet>
